<% if (section === 'css') { %>
<style>
  .page[page=manMeer] {
    display: flex;
    flex-direction: column;
  }

  .page[page=manMeer] > *{
    flex: 1;
  }

  #manMeer-scores-row {
    display: flex;
    flex-direction: column;
    height: 100%;
    max-height: 50%;
  }

  #manMeer-home-scores,
  #manMeer-away-scores {
    display: flex;
    flex-direction: row;
    justify-content: center;
    max-height: 50%;
  }

  #manMeer-home-scores > *,
  #manMeer-away-scores > * {
    flex: 1;
    min-width: 0;
  }

  #manMeer-home-scores {
    flex: 1;
    background-color: white;
  }

  #manMeer-away-scores {
    flex: 1;
    background-color: darkblue;
  }

  #manMeer-time-row {
    display: flex;
    flex-direction: row;
    text-align: center;
  }

  #manMeer-shotclock {
    flex: 2;
    font-weight: bold;
    line-height: 1;
  }

  #manMeer-current-team {
    flex: 1;
    line-height: 1;
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="manMeer">
  <div id="manMeer-scores-row">
    <div id="manMeer-home-scores"></div>
    <div id="manMeer-away-scores"></div>
  </div>
  <div id="manMeer-time-row">
    <div id="manMeer-shotclock" class="text-fit"></div>
    <div id="manMeer-current-team" class="text-fit"></div>
  </div>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  let numberOfBalls

  function otherTeam (team) {
    return team === 'home' ? 'away' : 'home'
  }

  function calculateCurrentTeam (data) {
    if (data.mode === 'sequential') {
      return data[data.startingTeam].length < data.games ? data.startingTeam : otherTeam(data.startingTeam)
    } else if (data.mode === 'alternately') {
      return data.home.length === data.away.length ? data.startingTeam : otherTeam(data.startingTeam)
    }
  }

  function manMeerSetBalls (amount) {
    const homeRow = document.getElementById('manMeer-home-scores')
    const awayRow = document.getElementById('manMeer-away-scores')

    homeRow.innerHTML = ''
    awayRow.innerHTML = ''

    for (let i = 0; i < amount; i++) {
      const img1 = document.createElement('img')
      img1.src = 'media/waterpolo_ball_transparent.svg'
      homeRow.appendChild(img1)
      const img2 = document.createElement('img')
      img2.src = 'media/waterpolo_ball_transparent.svg'
      awayRow.appendChild(img2)
    }
  }

  function manMeerUpdateBalls (games, home, away) {
    const homeRow = document.getElementById('manMeer-home-scores')
    const awayRow = document.getElementById('manMeer-away-scores')

    function updateBall (row, balls, i) {
      if (balls[i] === true) {
        row.children[i].src = 'media/waterpolo_ball_yellow.svg'
      } else if (balls[i] === false) {
        row.children[i].src = 'media/waterpolo_ball_red.svg'
      } else {
        row.children[i].src = 'media/waterpolo_ball_transparent.svg'
      }
    }

    for (let i = 0; i < games; i++) {
      updateBall(homeRow, home, i)
      updateBall(awayRow, away, i)
    }
  }

  const manMeerShotclock = new Timer(100, 'down', (time) => {
    document.getElementById('manMeer-shotclock').innerHTML = (Math.round(time * 10) / 10).toFixed(1)

    fitText(document.getElementById('manMeer-shotclock'))
  })

  registerCommand('manMeer', 'data', (data) => {
    if (numberOfBalls !== data.games) {
      numberOfBalls = data.games
      manMeerSetBalls(data.games)
    }

    manMeerUpdateBalls(data.games, data.home, data.away)

    if (data.state === 'finished') {
      document.getElementById('manMeer-current-team').style.flex = 2
      document.getElementById('manMeer-current-team').style.marginLeft = '50px'
      document.getElementById('manMeer-shotclock').style.flex = 1

      const home = data.home.filter(x => x).length
      const away = data.away.filter(x => x).length
      if (home === away) {
        document.getElementById('manMeer-current-team').innerHTML = 'Gelijk spel!'
      } else if (home > away) {
        document.getElementById('manMeer-current-team').innerHTML = 'Wit heeft gewonnen!'
      } else if (away > home) {
        document.getElementById('manMeer-current-team').innerHTML = 'Blauw heeft gewonnen!'
      }
    } else {
      document.getElementById('manMeer-current-team').style.flex = ''
      document.getElementById('manMeer-current-team').style.marginLeft = ''
      document.getElementById('manMeer-shotclock').style.flex = ''

      document.getElementById('manMeer-current-team').innerHTML = calculateCurrentTeam(data) === 'home' ? 'Wit' : 'Blauw'
    }

    fitText(document.querySelectorAll('.page[page=manMeer] .text-fit'))
  })

  registerCommand('manMeer', 'time', (data) => {
    manMeerShotclock.setTime(data.time)

    if (data.running) {
      manMeerShotclock.start()
    } else {
      manMeerShotclock.stop()
    }
  })

  registerCommand('manMeer', 'shotclockEnded', () => {
    playEndShotclock(true)
  })
</script>
<% } %>
